Model Search
POST/search/models
Search for models.
At least one of the following fields must have a value: query, filter, image, or images.
image, and images are mutually exclusive.
Query Parameters
Body ParametersJSON
hitsPerPage: optional number
Maximum number of documents returned for a page. Must be used with page.
maximum100
minimum1
image: optional string
Search for model with image as a reference
Must be an existing AssetId or a valid data URL.
imageSemanticRatio: optional number
Image embedding ratio for hybrid search, applied when image, images.like, or images.unlike
are provided
maximum1
minimum0
Returns
Model Search
curl https://api.cloud.scenario.com/v1/search/models \
-H 'Content-Type: application/json' \
-u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \
-d '{}'{
"hits": [
{
"id": "id",
"authorId": "authorId",
"capabilities": [
"string"
],
"collectionIds": [
"string"
],
"concepts": [
{
"modelId": "modelId"
}
],
"createdAt": "createdAt",
"exampleAssetIds": [
"string"
],
"name": "name",
"ownerId": "ownerId",
"privacy": "privacy",
"shortDescription": "shortDescription",
"source": "source",
"tags": [
"string"
],
"teamId": "teamId",
"trainingImagesNumber": 0,
"type": "type",
"updatedAt": "updatedAt",
"parentModelId": "parentModelId",
"score": 0,
"thumbnail": {
"assetId": "assetId",
"url": "url"
}
}
],
"limit": 0,
"offset": 0,
"estimatedTotalHits": 0,
"hitsPerPage": 0,
"page": 0,
"totalHits": 0,
"totalPages": 0
}Returns Examples
{
"hits": [
{
"id": "id",
"authorId": "authorId",
"capabilities": [
"string"
],
"collectionIds": [
"string"
],
"concepts": [
{
"modelId": "modelId"
}
],
"createdAt": "createdAt",
"exampleAssetIds": [
"string"
],
"name": "name",
"ownerId": "ownerId",
"privacy": "privacy",
"shortDescription": "shortDescription",
"source": "source",
"tags": [
"string"
],
"teamId": "teamId",
"trainingImagesNumber": 0,
"type": "type",
"updatedAt": "updatedAt",
"parentModelId": "parentModelId",
"score": 0,
"thumbnail": {
"assetId": "assetId",
"url": "url"
}
}
],
"limit": 0,
"offset": 0,
"estimatedTotalHits": 0,
"hitsPerPage": 0,
"page": 0,
"totalHits": 0,
"totalPages": 0
}